sensorfw: Compass Class Reference

sensorfw

Public Member Functions | Properties | Friends | List of all members
Compass Class Reference

QObject facade for CompassData. More...

`#include <compass.h>`

Inheritance diagram for Compass:

## Public Member Functions
| Compass ()
| Default constructor.
| Compass (const CompassData &data, bool declinationCorrection=true)
| Copy constructor.
| Compass (const Compass &data)
| Copy constructor.
| Compass (const Compass &data, bool declinationCorrection)
| Copy constructor.
const CompassData & | data () const
| Returns the contained CompassData.
int | degrees () const
| Returns the value for degrees.
int | level () const
| Returns the value for level.
Compass & | operator= (const Compass &origin)
| Assignment operator.
bool | operator== (const Compass &right) const
| Comparison operator.

## Properties
int | degrees
int | level

## Friends
const QDBusArgument & | operator>> (const QDBusArgument &argument, Compass &data)
| Unmarshall Compass data from the D-Bus argument.

## Detailed Description

QObject facade for CompassData.

Definition at line 37 of file compass.h.

## Constructor & Destructor Documentation

## ◆ Compass() [1/4]

Compass::Compass | ( |  | ) |
| inline

Default constructor.

Definition at line 50 of file compass.h.

## ◆ Compass() [2/4]

Compass::Compass | ( | const CompassData & | data,
|  | bool | declinationCorrection = true )

Copy constructor.

Parameters

  data | Source object.
  declinationCorrection | Use declination corrected value.

## ◆ Compass() [3/4]

Compass::Compass | ( | const Compass & | data | ) |

Copy constructor.

Parameters

  data | Source object.

## ◆ Compass() [4/4]

Compass::Compass | ( | const Compass & | data,
|  | bool | declinationCorrection )

Copy constructor.

Parameters

  data | Source object.
  declinationCorrection | Use declination corrected value.

## Member Function Documentation

## ◆ data()

const CompassData & Compass::data | ( |  | ) | const
| inline

Returns the contained CompassData.

Returns
  Contained CompassData

Definition at line 79 of file compass.h.

## ◆ degrees()

int Compass::degrees | ( |  | ) | const
| inline

Returns the value for degrees.

Returns
  degree value.

Definition at line 85 of file compass.h.

## ◆ level()

int Compass::level | ( |  | ) | const
| inline

Returns the value for level.

Returns
  level value.

Definition at line 91 of file compass.h.

## ◆ operator=()

Compass & Compass::operator= | ( | const Compass & | origin | ) |
| inline

Assignment operator.

Parameters

  origin | Source object for assigment.

Definition at line 98 of file compass.h.

## ◆ operator==()

bool Compass::operator== | ( | const Compass & | right | ) | const
| inline

Comparison operator.

Parameters

  right | Object to compare to.

Returns
  comparison result.

Definition at line 110 of file compass.h.

## Friends And Related Symbol Documentation

## ◆ operator>>

const QDBusArgument & operator>> | ( | const QDBusArgument & | argument,
|  | Compass & | data )
| friend

Unmarshall Compass data from the D-Bus argument.

Parameters

  argument | dbus argument.
  data | unmarshalled data.

Returns
  dbus argument.

Definition at line 148 of file compass.h.

## Property Documentation

## ◆ degrees

int Compass::degrees
| read

Definition at line 42 of file compass.h.

## ◆ level

int Compass::level
| read

Definition at line 43 of file compass.h.

The documentation for this class was generated from the following file:

- datatypes/compass.h